complexType "SettlementProvision"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 2 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | settlementCurrency, nonDeliverableSettlement?
</...>

Content Model Elements (2):

  nonDeliverableSettlement (in settlementProvision), | settlementCurrency (in settlementProvision)

All Direct / Indirect Based Elements (1):

  settlementProvision

Known Usage Locations

- As direct type of elements (1):
  settlementProvision

Annotation
A type defining the specification of settlement terms, occuring when the settlement currency is different to the notional currency of the trade.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="SettlementProvision"> <xsd:sequence> <xsd:element name="settlementCurrency" type="Currency"/> <xsd:element minOccurs="0" name="nonDeliverableSettlement" type="NonDeliverableSettlement"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
nonDeliverableSettlement

  Type: | NonDeliverableSettlement, complex content

  The specification of the non-deliverable settlement provision.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="nonDeliverableSettlement" type="NonDeliverableSettlement"/>

settlementCurrency

  Type: | Currency, simple content

  The currency that stream settles in (to support swaps that settle in a currency different from the notional currency).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="settlementCurrency" type="Currency"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.